#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a, b, x, y;
    scanf("%d%d", &a, &b);
    scanf("%d%d", &x, &y);
    if(a==x && b==y)
    {
        printf("nijedan");
    }
    else if(a-x>=1 && b-y>=1)
    {
        printf("?");
    }
    else if(a==x && b!=y)
    {
        printf("drugi");
    }
    else if(a!=x && b==y)
    {
        printf("prvi");
    }
}